org.osgi.service.url

## Interface URLStreamHandlerSetter

All Known Implementing Classes:
  URLHandlersStreamHandlerProxy

    @ConsumerType
    public interface URLStreamHandlerSetter

Interface used by `URLStreamHandlerService` objects to call the `setURL` method on the proxy `URLStreamHandler` object.

Objects of this type are passed to the `URLStreamHandlerService.parseURL(URLStreamHandlerSetter, URL, String, int, int)` method. Invoking the `setURL` method on the `URLStreamHandlerSetter` object will invoke the `setURL` method on the proxy `URLStreamHandler` object that is actually registered with `java.net.URL` for the protocol.

Author:
  $Id: 96648b48a7ce8fb4baf50c7b118a0339f4efcf35 $

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `setURL(URL u, String protocol, String host, int port, String file, String ref)` Deprecated. This method is only for compatibility with handlers written for JDK 1.1.
`void` `setURL(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)`

### Method Detail

#### setURL

    void setURL(URL u,
                String protocol,
                String host,
                int port,
                String file,
                String ref)

Deprecated. This method is only for compatibility with handlers written for JDK 1.1.

See Also:
  "java.net.URLStreamHandler.setURL(URL,String,String,int,String,String)"

#### setURL

    void setURL(URL u,
                String protocol,
                String host,
                int port,
                String authority,
                String userInfo,
                String path,
                String query,
                String ref)

See Also:
  "java.net.URLStreamHandler.setURL(URL,String,String,int,String,String,String,String)"